Last modified: 2014-11-19 10:10:54 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 72732 - Quality Assurance/Browser testing/Setup instructions is out of date
Quality Assurance/Browser testing/Setup instructions is out of date
Status: NEW
Product: Wikimedia
Classification: Unclassified
Quality Assurance (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Chris Koerner
: easy
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-10-30 02:47 UTC by Sam Reed (reedy)
Modified: 2014-11-19 10:10 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2014-10-30 02:47:48 UTC
https://www.mediawiki.org/wiki/Quality_Assurance/Browser_testing/Setup_instructions#Setup_your_computer

It says to:

git clone https://gerrit.wikimedia.org/r/qa/browsertests

But that repo just contains a README.md that says:

"Please see https://github.com/wikimedia/mediawiki-selenium for instructions on how to run tests."

Documentation should be updated :)
Comment 1 Chris Koerner 2014-11-08 04:18:40 UTC
I took a first stab at updating this section. I didn't want to copy the entirety of README.md as that seemed redundant and could easily lapse with updates.
Comment 2 Quim Gil 2014-11-18 18:16:38 UTC
Is the documentation at https://www.mediawiki.org/wiki/Quality_Assurance/Browser_testing/Setup_instructions#Setup_your_computer OK now? Can this bug be resolved as fixed?
Comment 3 Chris McMahon 2014-11-18 22:18:26 UTC
May as well leave it open.  A number of things in this area need updating. I undid the "assigned" value.
Comment 4 Quim Gil 2014-11-19 10:10:54 UTC
Could you specify what needs updating, Chris McMahon?

Chris Koerner seemed to be willing to give a hand.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links